Loading...
Searching...
No Matches
Opm::EclIO::OutputStream::Init Class Reference

File manager for "init" output streams. More...

`#include <OutputStream.hpp>`

## Public Member Functions

| Init (const ResultSet &rset, const Formatted &fmt)
| Constructor.
| Init (const Init &rhs)=delete
| Init (Init &&rhs)
Init & | operator= (const Init &rhs)=delete
Init & | operator= (Init &&rhs)
void | write (const std::string &kw, const std::vector< int > &data)
| Write integer data to underlying output stream.
void | write (const std::string &kw, const std::vector< bool > &data)
| Write boolean data to underlying output stream.
void | write (const std::string &kw, const std::vector< float > &data)
| Write single precision floating point data to underlying output stream.
void | write (const std::string &kw, const std::vector< double > &data)
| Write double precision floating point data to underlying output stream.
void | write (const std::string &kw, const std::vector< PaddedOutputString< 8 > > &data)
| Write padded character data (8 characters per string) to underlying output stream.
void | message (const std::string &msg)

## Detailed Description

File manager for "init" output streams.

## Constructor & Destructor Documentation

## Init()

Opm::EclIO::OutputStream::Init::Init | ( | const ResultSet & | rset,
|  | const Formatted & | fmt )

explicit

Constructor.

Opens file stream for writing.

Parameters

  [in] | rset | Output directory and base name of output stream.
  [in] | fmt | Whether or not to create formatted output files.

## Member Function Documentation

## message()

void Opm::EclIO::OutputStream::Init::message | ( | const std::string & | msg | ) |

Parameters

  [in] | msg | Message string (e.g., "STARTSOL").

## write() [1/5]

void Opm::EclIO::OutputStream::Init::write | ( | const std::string & | kw,
|  | const std::vector< bool > & | data )

Write boolean data to underlying output stream.

Parameters

  [in] | kw | Name of output vector (keyword).
  [in] | data | Output values.

## write() [2/5]

void Opm::EclIO::OutputStream::Init::write | ( | const std::string & | kw,
|  | const std::vector< double > & | data )

Write double precision floating point data to underlying output stream.

Parameters

  [in] | kw | Name of output vector (keyword).
  [in] | data | Output values.

## write() [3/5]

void Opm::EclIO::OutputStream::Init::write | ( | const std::string & | kw,
|  | const std::vector< float > & | data )

Write single precision floating point data to underlying output stream.

Parameters

  [in] | kw | Name of output vector (keyword).
  [in] | data | Output values.

## write() [4/5]

void Opm::EclIO::OutputStream::Init::write | ( | const std::string & | kw,
|  | const std::vector< int > & | data )

Write integer data to underlying output stream.

Parameters

  [in] | kw | Name of output vector (keyword).
  [in] | data | Output values.

## write() [5/5]

void Opm::EclIO::OutputStream::Init::write | ( | const std::string & | kw,
|  | const std::vector< PaddedOutputString< 8 > > & | data )

Write padded character data (8 characters per string) to underlying output stream.

Parameters

  [in] | kw | Name of output vector (keyword).
  [in] | data | Output values.

The documentation for this class was generated from the following files:

- opm/io/eclipse/OutputStream.hpp
- opm/io/eclipse/OutputStream.cpp